Subject: Re: [ietf-dkim] Not an issue: multiple From headers

From: Roland Turner <[email-masked]>
Date: Wed, 25 Jun 2008 21:48:05 +0100

On Wed, 2008-06-25 at 13:13 -0400, J D Falk wrote:

> On 19/06/2008 18:28, "Murray S. Kucherawy" <[email-masked]> wrote:
> 
> >> My theory is that DKIM only applies to valid 2822 messages, and
> it's not
> >> a substitute for a sanity check for all the screwy things one can
> send
> >> in a non-conformant message.  Perhaps it would be a good idea
> someday to
> >> collect experience and advice into an implmentation guide, but
> other
> >> than that, it's not our problem.  Agreed?
> >
> > +1,
> 
> +1
> 
> > and I would go even further to say that we should have an errata
> item
> > against RFC4871 which says we should add that DKIM presumes a
> > properly-formed RFC2822-style message, and that its application to
> other
> > messages produces undefined results.
> 
> +1

Erm, surely a verifying mechanism's response to any non-verifiable
message must be _defined_ to be "non-verifiable". It would seem that a
verifying mechanism is completely useless if there exists _any_ input
which elicits an undefined response; in all cases the rule must be
"answer verified if verification is successful, non-verifiable
otherwise".

This doesn't mean that the ADSP spec (or even the DKIM spec) needs to
add specificity or remove ambiguity in the underlying specs, but ADSP
and DKIM certainly can't include permission to provide random responses
to verification attempts of malformed messages; the rule must be that if
a message is malformed to the extent that DKIM is affected, verification
must be defined to fail (not turn undefined).

No?

- Roland

-- 
  Roland Turner | Product Manager, RealMail | BoxSentry Pte Ltd
  3 Phillip Street, #13-03 Commerce Point, Singapore 048693
  Mob: +65 96700022 | Skype: roland.turner | Fax. +65 65365463
  [email-masked] | www.boxsentry.com

_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: "J D Falk" <[email-masked]>
Date: Wed, 25 Jun 2008 13:13:44 -0400

On 19/06/2008 18:28, "Murray S. Kucherawy" <[email-masked]> wrote:

>> My theory is that DKIM only applies to valid 2822 messages, and it's not
>> a substitute for a sanity check for all the screwy things one can send
>> in a non-conformant message.  Perhaps it would be a good idea someday to
>> collect experience and advice into an implmentation guide, but other

+1

> and I would go even further to say that we should have an errata item
> properly-formed RFC2822-style message, and that its application to other

+1

-- 
J.D. Falk
Return Path

Work with me!
http://www.returnpath.net/careers/

---

From: Dave Crocker <[email-masked]>
Date: Thu, 26 Jun 2008 09:53:46 -0700

Murray S. Kucherawy wrote:
> +1, and I would go even further to say that we should have an errata item 
> against RFC4871 which says we should add that DKIM presumes a properly-formed
>  RFC2822-style message, and that its application to other messages produces 
> undefined results.

Let's think about this for a moment.  While it's unlikely that such an erratum
would do any damage, I'm bothered by the implication that the DKIM spec is 
somehow deficient in this regard.

Certainly the spec does not have an explicit and simple statement that it 
operates on RFC 2822-compliant messages.  Certainly a number of wrinkles in the 
spec would have been smoothed out by its containing a more explicit input/output 
section.

But the idea that anyone would think that a signing mechanism designed to 
operate on RFC 2822 messages would somehow be expected to operate successfully 
on non-conformant messages really bothers me.  In particular, the idea that any 
changes to the spec, about this, would count as an erratum seem, ummm, erroneous.

Besides that, I think that one could argue that, at the least:

> 5.3 Normalize the Message to Prevent Transport Conversions
...
> If the message is submitted to the signer with any local encoding that will 
> be modified before transmission, that modification to canonical [RFC2822] 
> form MUST be done before signing. In

Carries the rather strong implication that DKIM only works on compliant messages.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: "J.D. Falk" <[email-masked]>
Date: Thu, 26 Jun 2008 13:56:17 -0600

On 26/06/2008 10:53, "Dave Crocker" <[email-masked]> wrote:

> on non-conformant messages really bothers me.

And yet, those questions keep coming up -- even from people we'd expect to
understand what a correctly formed RFC 2822 message looks like.

-- 
J.D. Falk
Return Path

Work with me!

---

From: Douglas Otis <[email-masked]>
Date: Thu, 26 Jun 2008 13:06:45 -0700

> understand what a correctly formed RFC 2822 message looks like.

If this issue were to become a problem, it could handled by mail  
filters.  Such exploits would then be strong and easily gathered  
evidence the message is a phish.

-Doug